%global build_opts -Doffline=true -Divy.mode=local -Divysettings.xml=/etc/ivy/ivysettings.xml -Divy.revision=%{version}
Name:          liquibase-slf4j
Version:       2.0.0
Release:       1%{?dist}
Summary:       Liquibase SLF4J Logger
License:       MIT
URL:           https://github.com/mattbertolini/liquibase-slf4j
Source0:       https://github.com/mattbertolini/liquibase-slf4j/archive/v%{version}.tar.gz

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: ivy-local
BuildRequires: mvn(ant-contrib:ant-contrib)
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(ch.qos.logback:logback-core)
BuildRequires: mvn(com.google.code.findbugs:findbugs)
BuildRequires: mvn(com.google.code.findbugs:findbugs-ant)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.bouncycastle:bcpg-jdk15on)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.jacoco:org.jacoco.ant)
BuildRequires: mvn(org.liquibase:liquibase-core)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.objenesis:objenesis)
BuildRequires: mvn(org.ow2.asm:asm)
BuildRequires: mvn(org.slf4j:slf4j-api)

BuildArch:     noarch

%description
Liquibase SLF4J Logger.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

# com.mattbertolini:jxr-ant:2.0.0
sed -i '/jxr-ant/,+2d' ivy.xml

mkdir -p lib/{build,compile,findbugs,test}
build-jar-repository -s -p lib/build apache-ivy/ivy ant-contrib/ant-contrib bcpg jacoco/org.jacoco.ant
build-jar-repository -s -p lib/compile slf4j/slf4j-api liquibase/liquibase-core
build-jar-repository -s -p lib/findbugs ant/ant-findbugs findbugs
build-jar-repository -s -p lib/test junit mockito/mockito-core logback/logback-classic logback/logback-core objectweb-asm/asm objenesis/objenesis cglib hamcrest/core

%mvn_file com.mattbertolini:%{name} %{name}

%build

ant %build_opts make-jar make-pom compile-javadoc

%install
%mvn_artifact dist/%{name}-%{version}.pom dist/%{name}-%{version}.jar 
%mvn_install -J build/javadoc

%check
ant %build_opts run-unit-tests

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Apr 05 2016 gil cattaneo <puntogil@libero.it> 2.0.0-1
- initial rpm
